buttons = 0     -- indique le nombre de boutons crs

function newCommand(x1, y1, x2, y2)   -- cration d'un nouveau bouton
   buttons= buttons + 1
   Command = {}
   Command.x1 = x1
   Command.y1 = y1
   Command.x2 = x2
   Command.y2 = y2
   Command.caption = "Command"..buttons
   Command.enabled = true
   Command.visible = true
   Command.switched = false
   Command.txtx = ((Command.x1+Command.x2)/2)-(string.len(Command.caption)*3)
   Command.txty = ((Command.y1+Command.y2)/2)-4
   Command.depth = 3
   Command.picture0 = 0
   Command.picture1 = 0
   return Command
end

function drawCommand(Command)
   if Command.visible then
      local couleurtxt1 = Color.new(0, 0, 0)    --texte du bouton
      local couleurtxt2 = Color.new(25, 25, 25) --texte bouton.enabled=false
      local couleur0 = Color.new(18, 18, 18)    --bouton relach
      local couleur1 = Color.new(15, 15, 15)    --droite et bas du bouton
      local couleur2 = Color.new(23, 23, 30)    --bouton appuy
      local couleur3 = Color.new(25, 25, 25)    --gauche et haut du bouton
      local bcl
	  if Command.depth > 0 then
         for bcl=1,Command.depth do
            screen.drawRect(SCREEN_DOWN, Command.x1 + bcl, Command.y1 + bcl, Command.x2 - bcl, Command.y2 - bcl, couleur3)
            screen.drawRect(SCREEN_DOWN, Command.x1 + bcl + 1, Command.y1 + bcl + 1, Command.x2 - bcl, Command.y2 - bcl, couleur1)
         end
	  end
      if Command.picture0 == 0 or Command.picture1 == 0 then
		 if Command.switched == true then
            screen.drawGradientRect(SCREEN_DOWN, Command.x1 + Command.depth, Command.y1 + Command.depth, Command.x2 - Command.depth, Command.y2 - Command.depth, couleur2, couleur3, couleur3, couleur3)
         elseif Command.switched == false then
            screen.drawFillRect(SCREEN_DOWN, Command.x1 + Command.depth, Command.y1 + Command.depth, Command.x2 - Command.depth, Command.y2 - Command.depth, couleur0)
         end
		 if Command.enabled then
	        screen.print(SCREEN_DOWN, Command.txtx, Command.txty, Command.caption, couleurtxt1)
	     elseif not Command.enabled then
	        screen.print(SCREEN_DOWN, Command.txtx, Command.txty, Command.caption, couleurtxt2)
	     end
      elseif Command.picture0 ~= 0 and Command.picture1 ~=0 then
	     screen.drawRect(SCREEN_DOWN, Command.x1+Command.depth+1, Command.y1+Command.depth+1, Command.x2-Command.depth-1, Command.y2-Command.depth-1, couleurtxt1)
         if Command.switched == true then
            screen.blit(SCREEN_DOWN, Command.x1 + Command.depth, Command.y1 + Command.depth, Command.picture0)
         elseif Command.switched == false then
            screen.blit(SCREEN_DOWN, Command.x1 + Command.depth, Command.y1 + Command.depth, Command.picture1)
         end
      end
   end
end

function changeSkin(Command, Picture0, Picture1)
   Command.picture0 = Picture0
   Command.picture1 = Picture1
   Image.scale(Command.picture0, Command.x2 - Command.x1 - (2 * Command.depth), Command.y2 - Command.y1 - (2 * Command.depth))
   Image.scale(Command.picture1, Command.x2 - Command.x1 - (2 * Command.depth), Command.y2 - Command.y1 - (2 * Command.depth))
   return Command
end

function changeTexte(Command, Text)
   Command.txtx = ((Command.x1+Command.x2)/2)-(string.len(Text)*3)
   Command.txty = ((Command.y1+Command.y2)/2)-4
   Command.caption = Text
   return Command
end

function changeDepth(Command, depth)
   if depth >= 0 and (Command.x2-Command.x1)/2>depth+1 and (Command.y2-Command.y1)/2>depth+1 then
      Command.depth = depth
      Image.scale(Command.picture0, Command.x2 - Command.x1 - (2 * Command.depth), Command.y2 - Command.y1 - (2 * Command.depth))
      Image.scale(Command.picture1, Command.x2 - Command.x1 - (2 * Command.depth), Command.y2 - Command.y1 - (2 * Command.depth))
   end
   return Command
end

function Stylus.newPressinCommand(Command, x, y)
   if Command.enabled then
      if Stylus.newPress then
         if x > Command.x1 and x < Command.x2 and y > Command.y1 and y < Command.y2 then
            Command.switched = true
         end
      return Command.switched
      end
   end
end

function Stylus.heldinCommand(Command, x, y)
   if Command.enabled then
      if Stylus.held then
         if x > Command.x1 and x < Command.x2 and y > Command.y1 and y < Command.y2 then
            Command.switched = true
         end
      return Command.switched
      end
   end
end
